Subject: Re: [scim] #44 (core-schema): Add JSON schemas for core schema resources

From: Phil Hunt <[email-masked]>
Date: Thu, 1 May 2014 13:54:48 -0700

Yes, I initially took the same interpretation and included full JSON schema representation of the server schema in draft 03. I also attached files to the ticket as an FYI.

I will leave a note that JSON Schema support may be addressed in a future charter if that was the intent.

Any other objections?

Phil

@independentid
www.independentid.com
[email-masked]

On May 1, 2014, at 1:33 PM, scim issue tracker <[email-masked]> wrote:

> #44: Add JSON schemas for core schema resources
> 
> 
> Comment (by [email-masked]):
> 
> Hmm ... good question.  My original take was to just have full non-
> normative .json files that had all of the schemas as a reference.  If this
> is the case, then they would definitely be beneficial, but I'm not sure
> how they would fit in with the spec - maybe as an appendix?  An
> alternative would be to keep these out of the spec and host them on
> simplecloud.info.
> 
> If this is referring to JSON Schema, I agree that this should be a WONTFIX
> for SCIM 2.0.
> 
> -- 
> -------------------------------------+-------------------------------------
> Reporter:                           |       Owner:  draft-ietf-scim-core-
>  [email-masked]        |  [email-masked]
>     Type:  enhancement              |      Status:  new
> Priority:  major                    |   Milestone:
> Component:  core-schema              |     Version:
> Severity:  -                        |  Resolution:
> Keywords:                           |
> -------------------------------------+-------------------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/scim/trac/ticket/44#comment:2>
> scim <http://tools.ietf.org/scim/>
>